
/*
Message codes for the server.
*/

/*
 * $Log: browsed-codes.h,v $
 * Revision 1.3  1993/02/02  16:12:32  jimg
 * No change.
 *
 * Revision 1.2  1992/11/19  21:14:30  jimg
 * ?
 *
 * Revision 1.1  1992/10/19  14:57:32  jimg
 * Initial revision
 *
 * Revision 1.1  1992/10/19  14:57:32  jimg
 * Initial revision
 *
 * Revision 2.0  1992/07/28  15:33:51  jimg
 * y
 * Modified to use libcomm.a and liberrmsg.a
 *
 * Revision 2.0  1992/07/28  15:33:51  jimg
 * y
 * Modified to use libcomm.a and liberrmsg.a
 *
 * Revision 1.2  1992/06/23  14:41:51  jimg
 * Added new codes for Login, init, info and save messages.
 *
 * Revision 1.1  1992/03/23  20:11:24  jimg
 * Initial revision
 */

#define A_NEW_IMAGE 1
#define A_NEXT_LEVEL 2
#define A_INITIALIZE 3
#define A_NAV_DATA 4
#define A_SET_REGION 5
#define A_WAIT 6
#define A_EXIT 7
#define A_TX_ROWS 8
#define A_ACK 9
#define A_STOP_IMAGE_TX 10
#define A_EOD 11
#define A_SET_CLIENT_LEVEL 12
#define A_USE_REGION 13
#define A_IMAGE_NOT_FOUND 14
#define A_FILE_PATH 15
#define A_NEXT_IMAGE 16
#define A_NO_MORE_IMAGES 17
#define A_ERR 18
#define A_SAVE_IMAGE 19
#define A_VERSION 20
#define A_INFO 21
#define A_LOGIN 22
#define A_INIT 23
#define A_GET_DIR_LISTING 24
#define A_GET_CWD 25
#define A_CHANGE_CWD 26
#define A_NEXT_LIST_IMAGE 27
#define A_GET_IMAGES_DATES 28
#define A_READ_IMAGE_NAMES 29

/*
Type codes
*/

#ifdef DEBUG

static const char *server_codes[30]=
{
    "",
    "A_NEW_IMAGE",
    "A_NEXT_LEVEL",
    "A_INITIALIZE",
    "A_NAV_DATA",
    "A_SET_REGION",
    "A_WAIT",
    "A_EXIT",
    "A_TX_ROWS",
    "A_ACK",
    "A_STOP_IMAGE_TX",
    "A_EOD",
    "A_SET_CLIENT_LEVEL",
    "A_PAUSE",
    "A_IMAGE_NOT_FOUND",
    "A_FILE_REGEXP",
    "A_NEXT_IMAGE",
    "A_NO_MORE_IMAGES",
    "A_ERR",
    "A_SAVE_IMAGE",
    "A_VERSION",
    "A_INFO",
    "A_LOGIN",
    "A_INIT",
    "A_GET_DIR_LISTING",
    "A_GET_CWD",
    "A_CHANGE_CWD",
    "A_NEXT_LIST_IMAGE",
    "A_GET_IMAGES_DATES",
    "A_READ_IMAGE_NAMES"
};

#endif


#undef DEBUG
