#ifndef __CALLBACKS_H
#define __CALLBACKS_H

/*
  functions declarations for state-machine.c

  jhrg
*/

void pause_button();
void save_button();
void next_button();
void log_button();
void def_region_button();
void use_region_button();
void write_region_button();
void read_region_button();
void zoom_button();
void palette_button();
void quit_button();
void create_buttons();
void auto_zoom_button();
void get_xbt_button();
void auto_region_button();
void do_palette();
void get_server_cwd();
void set_server_cwd();
void get_server_dir_listing();
void print_cost();
void print_image_name();
void print_level();
long do_next_image();
void do_stop_image_tx();

#if NeedFunctionPrortotypes

Boolean init_state(XtPointer);
Boolean read_image_data(XtPointer);

#else

Boolean init_state();
Boolean read_image_data();

#endif

#endif /* __CALLBACKS_H */
