#ifndef __XBROWSE_ACTIONS_H
#define __XBROWSE_ACTIONS_H

/*
  action fucntions for xbrowse.c

  jhrg
*/


XtActionsRec image_actions[] =
{

/* window updates - defined in xbrowse.c */

{"redraw_picture",   	redraw_picture},	
{"print_location",   	print_location},

/* button callbacks - defined in callbacks.c */

{"pause_button",       	pause_button}, 
{"save_button",        	save_button},
{"next_button",        	next_button},
{"log_button", 	    	log_button},
{"def_region_button",   def_region_button},
{"use_region_button",  	use_region_button},
{"write_region_button",	write_region_button},
{"read_region_button",  read_region_button},    
{"palette_button",     	palette_button},
{"zoom_button",	    	zoom_button},
{"quit_button",        	quit_button},
{"auto_zoom_button",    auto_zoom_button},
{"get_xbt_button",      get_xbt_button},
{"auto_region_button",  auto_region_button},
{"get_server_cwd",  	get_server_cwd},
{"set_server_cwd",  	set_server_cwd},
{"get_server_dir_listing", get_server_dir_listing}

};

#endif /* __XBROWSE_ACTIONS_H */
