#ifndef __XBROWSE_OPTIONS_H
#define __XBROWSE_OPTIONS_H

/*
  command line options for xbrowse.c

  jhrg
*/

static XrmOptionDescRec options[] = {
{"-debug",   	"*debug",      XrmoptionNoArg,     (caddr_t)"True"},
{"-statistics",	"*statistics", XrmoptionNoArg,     (caddr_t)"True"},
{"-no_question_exit", "*no_question_exit", XrmoptionNoArg, (caddr_t)"False"},
{"-auto_zoom",  "*auto_zoom",  XrmoptionNoArg,     (caddr_t)"True"},
{"-sort_vert",  "*sort_vertices", XrmoptionNoArg,  (caddr_t)"True"},
{"-grid",       "*grid",       XrmoptionNoArg,     (caddr_t)"True"},
    
{"-region_path","*region_path",XrmoptionSepArg,    (caddr_t)NULL},
{"-palette_path","*palette_path",XrmoptionSepArg,  (caddr_t)NULL},    
{"-log_path",   "*log_path",   XrmoptionSepArg,    (caddr_t)NULL},
{"-save_path",  "*save_path",  XrmoptionSepArg,    (caddr_t)NULL},    

{"-palette",	"*palette",    XrmoptionSepArg,    (caddr_t)NULL},
{"-server", 	"*server",     XrmoptionSepArg,    (caddr_t)NULL},
{"-xbt_server", "*xbt_server", XrmoptionSepArg,    (caddr_t)NULL},
{"-list",   	"*list",       XrmoptionSepArg,    (caddr_t)NULL},
{"-path",  	"*path",       XrmoptionSepArg,    (caddr_t)NULL},
{"-log",    	"*log",        XrmoptionSepArg,    (caddr_t)NULL},

{"-image_size", "*image_size", XrmoptionSepArg,    (caddr_t)NULL},
{"-grid_spacing","*grid_spacing",XrmoptionSepArg,  (caddr_t)NULL},
{"-grid_line_width","*grid_line_width",XrmoptionSepArg,(caddr_t)NULL},
{"-xbt_time_window", "*xbt_time_window", XrmoptionSepArg, (caddr_t)NULL},
{"-level",    	"*level",      XrmoptionSepArg,    (caddr_t)NULL},
{"-hashmark",   "*hashmark",   XrmoptionSepArg,    (caddr_t)NULL},
{"-old_hashmark","*old_hashmark",XrmoptionSepArg,  (caddr_t)NULL},
{"-grid_color","*grid_color",XrmoptionSepArg,  (caddr_t)NULL},    
    
{"-xrm",        NULL,          XrmoptionResArg,    (caddr_t)NULL}
};

/*
  Note: debug is FALSE by default, but if specified its value is true. That is,
  True (above) is not the default value, but the value if the switch is
  specified on the command line.
*/

#endif /* __XBROWSE_OPTIONS_H */
