
/*
 * $Log: xbt-const.h,v $
 * Revision 1.3  1993/02/02  16:12:32  jimg
 * Modified so that structures could easily be used - works with new xbt server.
 *
 * Revision 1.2  1992/10/21  17:17:03  jimg
 * Added new const.
 *
 * Revision 1.2  1992/10/21  17:17:03  jimg
 * Added new const.
 *
 * Revision 1.1  1992/10/14  13:19:00  jimg
 * Initial revision
 *
 * Revision 1.1  1992/10/14  13:19:00  jimg
 * Initial revision
 *
 * Revision 2.0  1992/09/28  13:59:42  jimg
 * Release version.
 *
 * Revision 1.1  1992/09/25  22:12:03  jimg
 * Initial revision
 *
 */

#define BASE_DATE "1 Jan 1965"

#define BASE_YEAR 1900          /* Years are delta + 1900 */
#define FIRST_YEAR 65           /* first year in database */
#define LAST_YEAR 88            /* last year in database */
#define INDEX_WINDOW 3          /* grab this many indices, with target in
                                   middle */
#define INDEX_REC_LEN 20        /* in bytes */
#define DATA_REC_LEN 16         /* in bytes */
#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#define SERVER_VERSION 2        /* sent to client, ... */
#define MAX_XBT_BLOCK 256       /* max size of XBT_REQUEST_MB */
#define SOCKET_BUFFER_SIZE 4096

#define INDEX_FILE_PATH "uri$dua1:[situ]xbt_sel.index"
#define DATA_FILE_PATH "uri$dua1:[situ]xbt_sel.sort"
#define XBT_TCP "uri$dua0:[jimg.xbt-2]xbtd"

#define MAX_XBT_DROPS 256
#define MAX_XBT_BOXES 63
